Package com.ngrok.services

# Class EventDestinations.UpdateCallBuilder

java.lang.Object
com.ngrok.services.EventDestinations.UpdateCallBuilder

Enclosing class:
  EventDestinations

public class EventDestinations.UpdateCallBuilder extends Object
A builder object encapsulating state for an unsent Update API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventDestination`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<EventDestination>`
  `call()`
  Initiates the API call asynchronously.
  `EventDestinations.UpdateCallBuilder`
  `description(String description)`
  Human-readable description of the Event Destination.
  `EventDestinations.UpdateCallBuilder`
  `description(Optional<String> description)`
  Human-readable description of the Event Destination.
  `EventDestinations.UpdateCallBuilder`
  `format(String format)`
  The output format you would like to serialize events into when sending to their target.
  `EventDestinations.UpdateCallBuilder`
  `format(Optional<String> format)`
  The output format you would like to serialize events into when sending to their target.
  `EventDestinations.UpdateCallBuilder`
  `metadata(String metadata)`
  Arbitrary user-defined machine-readable data of this Event Destination.
  `EventDestinations.UpdateCallBuilder`
  `metadata(Optional<String> metadata)`
  Arbitrary user-defined machine-readable data of this Event Destination.
  `EventDestinations.UpdateCallBuilder`
  `target(EventTarget target)`
  An object that encapsulates where and how to send your events.
  `EventDestinations.UpdateCallBuilder`
  `target(Optional<EventTarget> target)`
  An object that encapsulates where and how to send your events.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### metadata

    public EventDestinations.UpdateCallBuilder metadata(String metadata)
    Arbitrary user-defined machine-readable data of this Event Destination. Optional, max 4096 bytes.
    Parameters:
      `metadata` - the value of the metadata parameter as a `String`
    Returns:
      the call builder instance

  - ### metadata

    public EventDestinations.UpdateCallBuilder metadata(Optional<String> metadata)
    Arbitrary user-defined machine-readable data of this Event Destination. Optional, max 4096 bytes.
    Parameters:
      `metadata` - the value of the metadata parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### description

    public EventDestinations.UpdateCallBuilder description(String description)
    Human-readable description of the Event Destination. Optional, max 255 bytes.
    Parameters:
      `description` - the value of the description parameter as a `String`
    Returns:
      the call builder instance

  - ### description

    public EventDestinations.UpdateCallBuilder description(Optional<String> description)
    Human-readable description of the Event Destination. Optional, max 255 bytes.
    Parameters:
      `description` - the value of the description parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### format

    public EventDestinations.UpdateCallBuilder format(String format)
    The output format you would like to serialize events into when sending to their target. Currently the only accepted value is `JSON`.
    Parameters:
      `format` - the value of the format parameter as a `String`
    Returns:
      the call builder instance

  - ### format

    public EventDestinations.UpdateCallBuilder format(Optional<String> format)
    The output format you would like to serialize events into when sending to their target. Currently the only accepted value is `JSON`.
    Parameters:
      `format` - the value of the format parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### target

    public EventDestinations.UpdateCallBuilder target(EventTarget target)
    An object that encapsulates where and how to send your events. An event destination must contain exactly one of the following objects, leaving the rest null: `kinesis`, `firehose`, `cloudwatch_logs`, or `s3`.
    Parameters:
      `target` - the value of the target parameter as a `EventTarget`
    Returns:
      the call builder instance

  - ### target

    public EventDestinations.UpdateCallBuilder target(Optional<EventTarget> target)
    An object that encapsulates where and how to send your events. An event destination must contain exactly one of the following objects, leaving the rest null: `kinesis`, `firehose`, `cloudwatch_logs`, or `s3`.
    Parameters:
      `target` - the value of the target parameter as an `Optional` of `EventTarget`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<EventDestination> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `EventDestination`

  - ### blockingCall

    public EventDestination blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `EventDestination`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call